org.jboss.netty.handler.ipfilter

## Interface IpFilterRule

All Superinterfaces:
  IpSet

All Known Implementing Classes:
  IpSubnetFilterRule, IpV4SubnetFilterRule, PatternRule

    public interface IpFilterRule
    extends IpSet

This Interface defines an Ip Filter Rule.

### Method Summary

Methods
`boolean` `isAllowRule()`
`boolean` `isDenyRule()`

### Methods inherited from interface org.jboss.netty.handler.ipfilter.IpSet

`contains`

### Method Detail

#### isAllowRule

    boolean isAllowRule()

Returns:
  True if this Rule is an ALLOW rule

#### isDenyRule

    boolean isDenyRule()

Returns:
  True if this Rule is a DENY rule